Bug 1123618 - Incorrect launch script for python-ipython-console
Summary: Incorrect launch script for python-ipython-console
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: ipython
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Thomas Spura
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-27 10:20 UTC by Michel Alexandre Salim
Modified: 2015-11-05 07:47 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-05 07:47:01 UTC


Attachments (Terms of Use)

Description Michel Alexandre Salim 2014-07-27 10:20:10 UTC
Description of problem:
python-ipython-console should be launched using /usr/bin/python, but the header specifies /usr/bin/python3:

$ head -n2 /usr/bin/ipython
#!/usr/bin/python3
# This script was automatically generated by setup.py


Version-Release number of selected component (if applicable):
python-ipython-console-2.1.0-6.fc21.noarch

How reproducible:
Always

Steps to Reproduce:
1. ipython
2. python $(which ipython)

Actual results:
#1 fails:

Traceback (most recent call last):
  File "/usr/bin/ipython", line 4, in <module>
    from IPython import start_ipython
ImportError: No module named 'IPython'


Expected results:
Both invocations should work identically

Additional info:

Comment 1 Thomas Spura 2014-07-27 11:12:40 UTC
Very strange...

The python2 install is after python3 install, so /usr/bin/ipython should have the python2 header one. After the built in rawhide, I also built it in copr for f20 and there it works just fine.

I replaced it now in %install and it should be fine on rawhide to.
The build is at:
http://koji.fedoraproject.org/koji/taskinfo?taskID=7200399

Comment 2 Thomas Spura 2014-07-27 11:46:31 UTC
Now it's even stranger...

The rebuilt shows, that the header was right before replacing it with the python2 header:
+ xargs head -n 2
==> /builddir/build/BUILDROOT/ipython-2.1.0-7.fc22.noarch/usr/bin/ipcluster <==
#!/usr/bin/python
# This script was automatically generated by setup.py
==> /builddir/build/BUILDROOT/ipython-2.1.0-7.fc22.noarch/usr/bin/ipcontroller <==
#!/usr/bin/python
# This script was automatically generated by setup.py
==> /builddir/build/BUILDROOT/ipython-2.1.0-7.fc22.noarch/usr/bin/ipengine <==
#!/usr/bin/python
# This script was automatically generated by setup.py
==> /builddir/build/BUILDROOT/ipython-2.1.0-7.fc22.noarch/usr/bin/iptest <==
#!/usr/bin/python
# This script was automatically generated by setup.py
==> /builddir/build/BUILDROOT/ipython-2.1.0-7.fc22.noarch/usr/bin/ipython <==
#!/usr/bin/python
# This script was automatically generated by setup.py

I'll replace the header (whatever it is) with /usr/bin/python in the next built.

Could you please test, if it is working as expected for you now?

Comment 3 Fedora End Of Life 2015-11-04 15:59:54 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Thomas Spura 2015-11-05 07:47:01 UTC
This should be fixed already. Please reopen, if this is not the case.


Note You need to log in before you can comment on or make changes to this bug.